Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3101)

Issue 20672002: [telemetry] Add a webdriver backend with support for IE. (Closed)

Created:
7 years ago by chrisgao (Use stgao instead)
Modified:
7 years ago
Reviewers:
dtu, nduca, tonyg
CC:
chromium-reviews, chrome-speed-team+watch_google.com, telemetry+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Visibility:
Public.

Description

[telemetry] Add a webdriver backend with support for IE. BUG=none TEST=tools/perf/run_measurement --browser=internet-explorer octane & kraken Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=215785

Patch Set 1 #

Total comments: 29

Patch Set 2 : Address comments. #

Total comments: 23

Patch Set 3 : Address comments. #

Total comments: 6

Patch Set 4 : move core/webdriver/* to core/backends/webdriver. #

Patch Set 5 : Rebase. #

Patch Set 6 : Fix errors after rebase. #

Messages

Total messages: 17 (0 generated)
chrisgao (Use stgao instead)
https://codereview.chromium.org/20672002/diff/1/tools/telemetry/telemetry/core/webdriver/webdriver_desktop_browser_finder.py File tools/telemetry/telemetry/core/webdriver/webdriver_desktop_browser_finder.py (right): https://codereview.chromium.org/20672002/diff/1/tools/telemetry/telemetry/core/webdriver/webdriver_desktop_browser_finder.py#newcode37 tools/telemetry/telemetry/core/webdriver/webdriver_desktop_browser_finder.py:37: # TODO Currently require that IEDriver.exe is in PATH. ...
7 years ago (2013-07-26 16:58:00 UTC) #1
chrisgao (Use stgao instead)
Hi Tony, This CL makes telemetry run with IE. But some of the telemetry unittests ...
7 years ago (2013-07-26 17:10:39 UTC) #2
tonyg
This is awesome. I'm amazing at how small and clean this is and how well ...
7 years ago (2013-07-26 18:21:02 UTC) #3
chrisgao (Use stgao instead)
Thank Tony for the detailed review and suggestions. Will add David and Nat as reviewers. ...
7 years ago (2013-07-30 02:06:49 UTC) #4
nduca
pretty neat. some comments. https://codereview.chromium.org/20672002/diff/9001/tools/perf/benchmarks/octane.py File tools/perf/benchmarks/octane.py (right): https://codereview.chromium.org/20672002/diff/9001/tools/perf/benchmarks/octane.py#newcode25 tools/perf/benchmarks/octane.py:25: if (result_divs[r].id && result_divs[r].id.indexOf('Result-') == ...
7 years ago (2013-07-30 06:49:45 UTC) #5
tonyg
Looking really close. +1 to all of Nat's comments. https://codereview.chromium.org/20672002/diff/9001/tools/telemetry/telemetry/core/browser_finder.py File tools/telemetry/telemetry/core/browser_finder.py (left): https://codereview.chromium.org/20672002/diff/9001/tools/telemetry/telemetry/core/browser_finder.py#oldcode20 tools/telemetry/telemetry/core/browser_finder.py:20: ...
7 years ago (2013-07-30 19:35:34 UTC) #6
dtu
https://codereview.chromium.org/20672002/diff/9001/tools/telemetry/telemetry/core/chrome/browser_backend.py File tools/telemetry/telemetry/core/chrome/browser_backend.py (right): https://codereview.chromium.org/20672002/diff/9001/tools/telemetry/telemetry/core/chrome/browser_backend.py#newcode1 tools/telemetry/telemetry/core/chrome/browser_backend.py:1: # Copyright (c) 2012 The Chromium Authors. All rights ...
7 years ago (2013-07-31 01:34:48 UTC) #7
dtu
On 2013/07/31 01:34:48, Dave Tu wrote: > https://codereview.chromium.org/20672002/diff/9001/tools/telemetry/telemetry/core/chrome/browser_backend.py > File tools/telemetry/telemetry/core/chrome/browser_backend.py (right): > > https://codereview.chromium.org/20672002/diff/9001/tools/telemetry/telemetry/core/chrome/browser_backend.py#newcode1 ...
7 years ago (2013-07-31 01:35:27 UTC) #8
chrisgao (Use stgao instead)
Many thanks for your comments and suggestions. 26 telemetry unittests fail with IE, do you ...
7 years ago (2013-07-31 19:05:41 UTC) #9
chrisgao (Use stgao instead)
The list of failed unittests is as below: [ FAILED ] 26 tests, listed below: ...
7 years ago (2013-07-31 19:55:49 UTC) #10
tonyg
lg2m from my perspective. Please wait for dtu@ to approve. Regarding the unittests, I think ...
7 years ago (2013-07-31 20:59:33 UTC) #11
dtu
lgtm https://codereview.chromium.org/20672002/diff/9001/tools/telemetry/telemetry/core/chrome/browser_backend.py File tools/telemetry/telemetry/core/chrome/browser_backend.py (right): https://codereview.chromium.org/20672002/diff/9001/tools/telemetry/telemetry/core/chrome/browser_backend.py#newcode1 tools/telemetry/telemetry/core/chrome/browser_backend.py:1: # Copyright (c) 2012 The Chromium Authors. All ...
7 years ago (2013-08-01 00:11:13 UTC) #12
chrisgao (Use stgao instead)
Stuff withOUT regard to webdriver backend are separated out into CL https://codereview.chromium.org/21406004/. https://codereview.chromium.org/20672002/diff/26001/tools/telemetry/telemetry/core/platform/util.py File tools/telemetry/telemetry/core/platform/util.py ...
7 years ago (2013-08-01 00:36:44 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/chrisgao@chromium.org/20672002/60001
7 years ago (2013-08-05 18:20:12 UTC) #14
commit-bot: I haz the power
Retried try job too often on mac_rel for step(s) remoting_unittests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=mac_rel&number=156239
7 years ago (2013-08-05 19:17:11 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/chrisgao@chromium.org/20672002/60001
7 years ago (2013-08-06 00:37:11 UTC) #16
commit-bot: I haz the power
7 years ago (2013-08-06 03:59:03 UTC) #17
Message was sent while issue was closed.
Change committed as 215785

Powered by Google App Engine
This is Rietveld 408576698